Bug 108729 - update port www/polipo to 0.9.11
Summary: update port www/polipo to 0.9.11
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Babak Farrokhi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-02-03 19:50 UTC by Babak Farrokhi
Modified: 2007-02-06 21:11 UTC (History)
0 users

See Also:


Attachments
polipo.patch (959 bytes, patch)
2007-02-03 19:50 UTC, Babak Farrokhi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Babak Farrokhi freebsd_committer 2007-02-03 19:50:13 UTC
- Update to 0.9.11
Comment 1 Edwin Groothuis freebsd_committer 2007-02-03 19:50:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->farrokhi

Submitter has GNATS access
Comment 2 Edwin Groothuis freebsd_committer 2007-02-03 19:50:26 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 3 Frank Behrens 2007-02-05 07:44:55 UTC
I did not supply any patch, because I thought the next major version
(0.10 or 1.0) would be released soon. I propose to use the following patch with changes:
- update to version 0.9.11
- fix expiry script, because newer port install removes ".sh" extension from rc script
- group mail is not necessary for polipo user

Frank Behrens
port maintainer 


--- polipo-0.9.11-port.patch begins here ---
diff -urwN /usr/ports/www/polipo/Makefile /usr/local/src/ownports/polipo-stable/port/Makefile
--- /usr/ports/www/polipo/Makefile	Mon Oct 16 09:27:22 2006
+++ /usr/local/src/ownports/polipo-stable/port/Makefile	Mon Feb  5 07:47:25 2007
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	polipo
-PORTVERSION=	0.9.10
+PORTVERSION=	0.9.11
 CATEGORIES=	www
 MASTER_SITES=	http://www.pps.jussieu.fr/~jch/software/files/polipo/ \
 		http://www.sax.de/~frank/polipo4bsd/files/
diff -urwN /usr/ports/www/polipo/distinfo /usr/local/src/ownports/polipo-stable/port/distinfo
--- /usr/ports/www/polipo/distinfo	Mon Oct 16 09:27:22 2006
+++ /usr/local/src/ownports/polipo-stable/port/distinfo	Mon Feb  5 07:48:00 2007
@@ -1,3 +1,3 @@
-MD5 (polipo-0.9.10.tar.gz) = 257b2a2e0e435b40a614318e0f2a2099
-SHA256 (polipo-0.9.10.tar.gz) = fe25ba6e39186c96278b8cb6803a04438ad2dc838bea704f163bbae86ecabd9d
-SIZE (polipo-0.9.10.tar.gz) = 149303
+MD5 (polipo-0.9.11.tar.gz) = 860f8f5e34be010379aa693e5224f84e
+SHA256 (polipo-0.9.11.tar.gz) = 6f7c9ca5b61aeaa926a8ea2f307ed98b35d2fc6249be20b4092d9c97124d8abc
+SIZE (polipo-0.9.11.tar.gz) = 149330
diff -urwN /usr/ports/www/polipo/files/400.polipo.in /usr/local/src/ownports/polipo-stable/port/files/400.polipo.in
--- /usr/ports/www/polipo/files/400.polipo.in	Sat Feb  5 21:57:43 2005
+++ /usr/local/src/ownports/polipo-stable/port/files/400.polipo.in	Sun Jan 28 14:53:16 2007
@@ -5,6 +5,12 @@
 # 
 #
 
+if [ -r %%DESTDIR%%%%PREFIX%%/etc/rc.d/polipo ]
+then
+	echo ""
+	echo "polipo expiry:"
+	%%DESTDIR%%%%PREFIX%%/etc/rc.d/polipo expire
+fi
 if [ -r %%DESTDIR%%%%PREFIX%%/etc/rc.d/polipo.sh ]
 then
 	echo ""
diff -urwN /usr/ports/www/polipo/files/pkg-install.in /usr/local/src/ownports/polipo-stable/port/files/pkg-install.in
--- /usr/ports/www/polipo/files/pkg-install.in	Sat Feb  5 21:57:43 2005
+++ /usr/local/src/ownports/polipo-stable/port/files/pkg-install.in	Mon Nov 20 12:18:04 2006
@@ -40,7 +40,6 @@
 			-s "/sbin/nologin" -d "/nonexistent" \
 			-c "polipo web cache"; \
 		then
-			pw groupmod mail -m $POLIPOUSER
 			echo "=> Added user \"$POLIPOUSER\"."
 		else
 			echo "=> Adding user \"$POLIPOUSER\" failed..."
--- polipo-0.9.11-port.patch ends here ---
Comment 4 Martin Wilke freebsd_committer 2007-02-06 20:52:44 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 5 dfilter service freebsd_committer 2007-02-06 21:06:15 UTC
miwi        2007-02-06 21:05:52 UTC

  FreeBSD ports repository

  Modified files:
    www/polipo           Makefile distinfo 
    www/polipo/files     400.polipo.in pkg-install.in 
  Log:
  - Update to version 0.9.11
  - Fix expiry script, because newer port install removes ".sh" extension from rc script
  - Group mail is not necessary for polipo user
  
  PR:             108729
  Submitted by:   farrokhi@
  Approved by:    maintainer
  
  Revision  Changes    Path
  1.7       +1 -1      ports/www/polipo/Makefile
  1.5       +3 -3      ports/www/polipo/distinfo
  1.2       +8 -2      ports/www/polipo/files/400.polipo.in
  1.2       +0 -1      ports/www/polipo/files/pkg-install.in
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"